Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class RenderInvocation

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.portlet.invocation.PortletInvocation
              org.jboss.portal.portlet.invocation.RenderInvocation

    public class RenderInvocation

extends PortletInvocation

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`ctx, dreq, dresp, instanceContext, INVOCATION_SCOPE, portalContext, PRINCIPAL_SCOPE, REQUEST_PROPERTIES_SCOPE, REQUEST_SCOPE, requestContext, RESPONSE_PROPERTIES_SCOPE, securityContext, supportedModes, supportedWindowStates, target, userContext, windowContext`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`RenderInvocation(RenderContext ctx)`

Method Summary

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`getContext, getDispatchedRequest, getDispatchedResponse, getInstanceContext, getPortalContext, getPortletContext, getRequestContext, getSecurityContext, getSupportedModes, getSupportedWindowStates, getTarget, getUserContext, getWindowContext, setDispatchedRequest, setDispatchedResponse, setInstanceContext, setPortalContext, setRequestContext, setSecurityContext, setSupportedModes, setSupportedWindowStates, setTarget, setUserContext, setWindowContext`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderInvocation

    public RenderInvocation(RenderContext ctx)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD